Bug 1575021 - [abrt] simple-scan: gtk_application_impl_uninhibit(): simple-scan killed by SIGSEGV
Summary: [abrt] simple-scan: gtk_application_impl_uninhibit(): simple-scan killed by S...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0fe64dea9823ce1fb7bfd7de41e...
: 1577016 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:47 UTC by Retlaw Dlawso
Modified: 2019-03-03 12:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:32:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.13 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: core_backtrace (13.58 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: dso_list (9.89 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: environ (1.49 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: maps (52.42 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: mountinfo (3.49 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: open_fds (1.53 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-05-04 14:47 UTC, Retlaw Dlawso
no flags Details

Description Retlaw Dlawso 2018-05-04 14:47:04 UTC
Description of problem:
starting up the application
scanner recognized
unable to processing

Version-Release number of selected component:
simple-scan-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        simple-scan
crash_function: gtk_application_impl_uninhibit
executable:     /usr/bin/simple-scan
journald_cursor: s=2562e28d030d4ab7b38422fdc00d2f73;i=faf4;b=8dc25d0261eb440fb6250f3bf68d27bf;m=8fd6ef1;t=56b624e64b327;x=777b6320dad619d6
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gtk_application_impl_uninhibit at gtkapplicationimpl.c:148
 #1 simple_scan_scanner_scanning_changed_cb at src/simple-scan
 #2 _simple_scan_scanner_scanning_changed_cb_scanner_scanning_changed at src/simple-scan
 #7 scanner_notify_idle_cb at src/simple-scan
 #8 _scanner_notify_idle_cb_gsource_func at src/simple-scan
 #13 g_main_context_iteration at gmain.c:3964
 #14 g_application_run at gapplication.c:2495
 #15 simple_scan_main at src/simple-scan

Comment 1 Retlaw Dlawso 2018-05-04 14:47:10 UTC
Created attachment 1431424 [details]
File: backtrace

Comment 2 Retlaw Dlawso 2018-05-04 14:47:12 UTC
Created attachment 1431425 [details]
File: cgroup

Comment 3 Retlaw Dlawso 2018-05-04 14:47:13 UTC
Created attachment 1431426 [details]
File: core_backtrace

Comment 4 Retlaw Dlawso 2018-05-04 14:47:15 UTC
Created attachment 1431427 [details]
File: cpuinfo

Comment 5 Retlaw Dlawso 2018-05-04 14:47:16 UTC
Created attachment 1431428 [details]
File: dso_list

Comment 6 Retlaw Dlawso 2018-05-04 14:47:18 UTC
Created attachment 1431429 [details]
File: environ

Comment 7 Retlaw Dlawso 2018-05-04 14:47:19 UTC
Created attachment 1431430 [details]
File: exploitable

Comment 8 Retlaw Dlawso 2018-05-04 14:47:20 UTC
Created attachment 1431431 [details]
File: limits

Comment 9 Retlaw Dlawso 2018-05-04 14:47:22 UTC
Created attachment 1431432 [details]
File: maps

Comment 10 Retlaw Dlawso 2018-05-04 14:47:24 UTC
Created attachment 1431433 [details]
File: mountinfo

Comment 11 Retlaw Dlawso 2018-05-04 14:47:25 UTC
Created attachment 1431434 [details]
File: open_fds

Comment 12 Retlaw Dlawso 2018-05-04 14:47:26 UTC
Created attachment 1431435 [details]
File: proc_pid_status

Comment 13 Jonathon Poppleton 2018-05-11 02:26:51 UTC
*** Bug 1577016 has been marked as a duplicate of this bug. ***

Comment 14 oiacow 2018-06-21 04:31:27 UTC
Similar problem has been detected:

I just pressed "simple scan " and then i decided to close the program , just to see if it was working
then the crash happened

reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        simple-scan
crash_function: gtk_application_impl_uninhibit
executable:     /usr/bin/simple-scan
journald_cursor: s=af4e00b57f8f43ee8c46b121b2260276;i=3ec6;b=e065336bf60c4aa4aa43e4f94d727565;m=78eab72c;t=56f1f3d673d39;x=ac60d0994968ac12
kernel:         4.16.3-301.fc28.x86_64
package:        simple-scan-3.28.1-1.fc28
reason:         simple-scan killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Igor Raits 2018-08-02 15:32:19 UTC
Please test with latest updates and reopen if still reproducible.

Comment 16 Boris Feld 2019-03-03 12:17:40 UTC
Similar problem has been detected:

Simply tried to close the application while a scan was running and the scanner was off

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        simple-scan
crash_function: gtk_application_impl_uninhibit
executable:     /usr/bin/simple-scan
journald_cursor: s=4687af11b09c4d5eb9154516a6c8b1c1;i=2e694;b=3f41675a5e214bb2bd6257d728f86219;m=8a1d8cadb;t=583083cf6e30a;x=72cebe1853a1beef
kernel:         4.20.6-100.fc28.x86_64
package:        simple-scan-3.28.1-1.fc28
reason:         simple-scan killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.